All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::invalid_arg_index Class Reference

Exception thrown if the kernel argument index is invalid, e.g. an arg index larger than the number of kernel arguments was provided. More...

`#include <error.hpp>`

Inheritance diagram for viennacl::ocl::invalid_arg_index:

## Detailed Description

Exception thrown if the kernel argument index is invalid, e.g. an arg index larger than the number of kernel arguments was provided.

Definition at line 403 of file error.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/error.hpp